This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 180801 - module-init-tools doesn't blacklist matroxfb
module-init-tools doesn't blacklist matroxfb
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 04:39 EST by Fred New
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 00:48:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred New 2006-02-10 04:39:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1

Description of problem:
I am still seeing the symptoms of bug 179041 (unusable login screen) on my system with a Matrox video card.

Version-Release number of selected component (if applicable):
module-init-tools-3.2-0.pre9.0.FC4.1

How reproducible:
Always

Steps to Reproduce:
1. Boot the system.
  

Actual Results:  The "login screen" that appears is just a bunch of vertical lines.

Expected Results:  A normal FC4 login screen.

Additional info:

kernel-2.6.15-1.1831_FC4
udev-071-0.FC4.2

I can work around the problem by inserting the following line
in etc/modprobe.conf:
install matroxfb_base /bin/true

The following messages appear in dmesg:

ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
[drm] Initialized mga 3.2.0 20050607 on minor 0:
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 1x mode
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
matroxfb: Matrox G550 detected
PInS memtype = 5
matroxfb: MTRR's turned on
matroxfb: 640x480x8bpp (virtual: 640x26214)
matroxfb: framebuffer at 0xF2000000, mapped to 0xf1800000, size 33554432
Console: switching to colour frame buffer device 80x30
fb0: MATROX frame buffer device
Comment 1 Fred New 2006-02-10 04:42:21 EST
And results of lsmod:

$ /sbin/lsmod
Module                  Size  Used by
matroxfb_base          31521  1
matroxfb_DAC1064       11841  1 matroxfb_base
matroxfb_accel          5185  1 matroxfb_base
matroxfb_Ti3026         6337  1 matroxfb_base
matroxfb_g450           7489  1 matroxfb_base
g450_pll                6721  2 matroxfb_DAC1064,matroxfb_g450
matroxfb_misc           9665  5
matroxfb_base,matroxfb_DAC1064,matroxfb_Ti3026,matroxfb_g450,g450_pll
mga                    66241  1
drm                    72149  2 mga
ipv6                  252577  10
parport_pc             27909  1
lp                     12937  0
parport                35593  2 parport_pc,lp
autofs4                19653  1
sunrpc                146045  1
ipt_REJECT              5953  1
ipt_state               1985  3
ip_conntrack           52717  1 ipt_state
nfnetlink               6617  1 ip_conntrack
iptable_filter          3137  1
ip_tables              20033  3 ipt_REJECT,ipt_state,iptable_filter
vfat                   12993  1
fat                    51165  1 vfat
dm_mod                 57177  0
video                  16197  0
button                  6737  0
battery                 9541  0
ac                      4933  0
eepro100               30801  0
uhci_hcd               32721  0
hw_random               5589  0
i2c_i801                9037  0
i2c_core               21697  1 i2c_i801
snd_intel8x0           32093  1
snd_ac97_codec         88161  1 snd_intel8x0
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0
snd_seq_oss            31809  0
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                49617  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9037  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            50545  0
snd_mixer_oss          17985  2 snd_pcm_oss
snd_pcm                86981  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              24901  2 snd_seq,snd_pcm
snd                    54309  9
snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9889  2 snd
snd_page_alloc         10697  2 snd_intel8x0,snd_pcm
e100                   39237  0
mii                     5697  2 eepro100,e100
floppy                 62085  0
ext3                  129993  3
jbd                    57941  1 ext3
$
Comment 2 Fred New 2006-02-23 00:48:19 EST
I have confirmed that module-init-tools-3.2-0.pre9.0.FC4.3 currently in the
updates-testing repository fixes this problem.

Note You need to log in before you can comment on or make changes to this bug.